登录  免费注册
当前位置:首页 > 安全公告 > 正文

关于PHPCMS V9.6 WAP模块存在任意文件上传漏洞的安全公告

2017-04-12 13:41:00
安全公告编号:CNTA-2017-0025

近日,国家信息安全漏洞共享平台(CNVD)收录了PHP存在任意文件上传漏洞(CNVD-2017-04180)。远程攻击者可利用前台注册功能上传任意图片木马文件,获得网站的控制权限。

一、漏洞情况分析

PHPCMS采用PHP5+MYSQL做为技术基础进行开发,是一款网站建站系统,该系统采用模块化开发,支持多种分类方式,使用它可方便实现个性化网站的设计、开发与维护。

 PHPCMS V9.6 WAP模块对前台用户上传的文件扩展名过滤不严,导致存在任意文件上传漏洞,远程攻击者通过注册功能,使用#截断绕过对文件扩展名的验证,上传一个伪造成图片的脚本文件获取网站的webshell。

CNVD对该漏洞的综合评级为“高危”。

二、漏洞影响范围

漏洞影响开启WAP模块且开放前台注册功能的PHPCMS V9.6版本。

三、漏洞修复建议

目前官方暂未发布任何补丁,CNVD建议用户关注厂商主页,及时等待更新。

针对开启WAP模块且开放前台注册功能用户,临时防护建议:

1.打开文件/phpcms/libs/classes/attachment.class.php

在第166行后加上如下代码:

if(!preg_match("/($ext)/i", $filename)) continue:

2.使用第三方WEB防火墙(WAF)对网站进行全面的安全防护。

附:参考链接:

http://0day5.com/archives/4368/ 

http://www.cnvd.org.cn/flaw/show/CNVD-2017-04180

(编辑:CNVD) | 已有0条评论
登录 后才能发表评论
已有0条评论